/* Styles for the order free fabric samples page */

[type="order-free-fabric-samples"] article {
	box-sizing: border-box;
	padding: 50px 20px;
	max-width: 1920px;
	text-align: center;
}

[type="order-free-fabric-samples"] article h1 {
	font-family: var(--heading);
    font-weight: var(--normal);
    font-size: var(--big);
    text-align: center;
    margin: 0;
    display: block;
    /* padding: 20px 20px 50px; */
    padding: 20px;
    box-sizing: border-box;
    width: 100%;
}

[type="order-free-fabric-samples"] .fabric-samples-fabric-section-heading,
[type="order-free-fabric-samples"] .fabric-samples-address-section-heading {
	font-family: var(--body);
    font-weight: var(--normal);
    font-size: var(--medium-big);
	position: sticky;
	top: 0;
	background-color: var(--white);
	padding: 50px 0 15px;
	z-index: 1;
}

[type="order-free-fabric-samples"] .fabric-samples-fabric-container {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(120px, 1fr));
	gap: 10px;
	align-items: normal;
	height: auto;
	padding: 0 0 60px;
	width: clamp(300px, 67vw, 1200px);
	margin: auto;
}

[type="order-free-fabric-samples"] .fabric-samples-fabric-container figure {
	margin: 0;
	display: flex;
    flex-direction: column;
    cursor: pointer;
    position: relative;
    padding: 10px;
}

[type="order-free-fabric-samples"] .fabric-samples-fabric-container figure.sample-selected::after {
	content: "";
	top: 0;
	right: 0;
	width: 30px;
	height: 30px;
	background-color: var(--turquoise);
	position: absolute;
	border-radius: 15px;
	background-image: url(/media/icons/feydom-checkmark.svg);
	background-repeat: no-repeat;
	background-position: center;
	box-shadow: 0 0 0 1px var(--white);
}

[type="order-free-fabric-samples"] .fabric-samples-fabric-container figure span {
	font-size: var(--medium-small);
	font-family: var(--body);
    font-weight: var(--normal);
    text-align: center;
    padding: 5px 0 0;
    display: block;
}

[type="order-free-fabric-samples"] .fabric-samples-fabric-container figure.sample-selected span {
	font-weight: var(--medium-bold);
}

[type="order-free-fabric-samples"] .fabric-samples-fabric-container figure span:nth-child(2) {
    white-space: nowrap;
}

[type="order-free-fabric-samples"] .fabric-samples-fabric-container figure span:last-child {
    padding: 5px 0;
}

[type="order-free-fabric-samples"] .fabric-samples-address-container {
	padding: 35px;
	box-sizing: border-box;
	display: flex;
	flex-direction: column;
	align-content: center;
	flex-wrap: wrap;
}

[type="order-free-fabric-samples"] .fabric-samples-address-container label {
	font-size: var(--small);
	text-align: left;
  color: var(--darker-grey);
  font-family: var(--body);
  padding: 10px 0px 5px;
  width: 300px;
}

[type="order-free-fabric-samples"] .fabric-samples-address-container input {
	font-size: var(--medium-small);
	color: var(--darker-grey);
	font-family: var(--body);
	border: 1px solid var(--medium-grey);
	padding: 10px;
	border-radius: 0;
	width: 300px;
	margin: 0 0 10px;
}

[type="order-free-fabric-samples"] #contact-form-aux {
	display: none;
}

[type="order-free-fabric-samples"] #fabric-sample-summary {
  position: fixed;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: var(--white);
  box-shadow: 0 -2px 10px rgba(0, 0, 0, 0.1);
  z-index: 2;
}

[type="order-free-fabric-samples"] #fabric-sample-content {
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  padding: 10px 20px;
}

[type="order-free-fabric-samples"] #fabric-sample-carousel {
    display: flex;
    align-items: center;
    flex: 1;
    position: relative;
    max-width: 70%;
}

[type="order-free-fabric-samples"] .fabric-sample-arrow {
    width: 30px;
    height: 30px;
    border: none;
    border-radius: 50%;
    cursor: pointer;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: var(--white);
    z-index: 1;
    margin: 0 5px;
}

[type="order-free-fabric-samples"] #fabric-sample-right-arrow {
	background-repeat: no-repeat;
	background-image:url('/media/icons/feydom-rightarrow-mediumthin-dark.svg');
	background-position: center;
	box-shadow: 0 0 0 1px var(--white);
}

[type="order-free-fabric-samples"] #fabric-sample-left-arrow {
	background-repeat: no-repeat;
	background-image:url('/media/icons/feydom-leftarrow-mediumthin-dark.svg');
	background-position: center;	box-shadow: 0 0 0 1px var(--white);
	box-shadow: 0 0 0 1px var(--white);
}

[type="order-free-fabric-samples"] #fabric-sample-list {
	font-family: var(--body);
  display: flex;
  gap: 10px;
  flex: 1;
  overflow-x: auto;
  overflow-y: hidden;
  scroll-behavior: smooth;
  white-space: nowrap;
  padding: 10px 0;
  scrollbar-width: thin;
  scrollbar-color: var(--medium-grey) var(--lighter-grey);
  max-width: 100%;
}

[type="order-free-fabric-samples"] #fabric-sample-list::-webkit-scrollbar {
    display: none;
}

[type="order-free-fabric-samples"] #fabric-sample-list figure {
  position: relative;
  width: 60px;
  min-width: 60px;
  text-align: center;
  margin: 0;
  padding: 5px;
}


[type="order-free-fabric-samples"] #fabric-sample-list figure img {
  width: 100%;
  height: auto;
}

[type="order-free-fabric-samples"] .fabric-sample-selected-remove {
  position: absolute;
  top: -5px;
  right: -5px;
  width: 20px;
  height: 20px;
  border-radius: 10px;
  background-color: var(--dark-grey);
  background-image: url(/media/icons/feydom-close-white-thick.svg);
	background-repeat: no-repeat;
	background-position: center;
	box-shadow: 0 0 0 1px var(--white);
  border-radius: 50%;
  cursor: pointer;
}

[type="order-free-fabric-samples"] .fabric-sample-selected-remove {
  position: absolute;
  top: -5px;
  right: -5px;
  width: 20px;
  height: 20px;
  border-radius: 10px;
  background-color: var(--dark-grey);
  background-image: url(/media/icons/feydom-close-white-thick.svg);
	background-repeat: no-repeat;
	background-position: center;
	box-shadow: 0 0 0 1px var(--white);
  border-radius: 50%;
  cursor: pointer;
}

[type="order-free-fabric-samples"] .fabric-sample-selected-remove::before,
[type="order-free-fabric-samples"] .fabric-sample-selected-remove::after {
  content: "";
  position: absolute;
  top: 9px;
  left: 5px;
  width: 10px;
  height: 2px;
  background-color: var(--white);
}

[type="order-free-fabric-samples"] .fabric-sample-selected-remove::before {
  transform: rotate(45deg);
}

[type="order-free-fabric-samples"] .fabric-sample-selected-remove::after {
  transform: rotate(-45deg);
}

[type="order-free-fabric-samples"] #fabric-sample-button-container {
  margin-right: 30px;
  position: relative;
  text-align: right;
}

[type="order-free-fabric-samples"] #fabric-sample-button {
  padding: 10px 20px;
  background-color: transparent;
	color: var(--darker-grey);
  border: none;
  cursor: pointer;
  position: relative;
  white-space: nowrap;
  box-shadow: 0 0 0 1px var(--darker-grey);
  font-size: var(--medium-small);
}

[type="order-free-fabric-samples"] #fabric-sample-button-comment {
  font-family: var(--body);
  color: var(--darker-grey);
  font-size: var(--small);
  display: block;
}

[type="order-free-fabric-samples"] #fabric-sample-button-comment.fabric-sample-button-comment-padding {
  padding-top: 5px;
}

[type="order-free-fabric-samples"] #fabric-sample-button.order-button {
	background-color: var(--turquoise);
  color: var(--lightest-grey);
  box-shadow: 0 0 0 1px var(----turquoise);
}

[type="order-free-fabric-samples"] .hidden {
  display: none;
}

@media screen and (max-width: 650px) {

	[type="order-free-fabric-samples"] #fabric-sample-content {
      flex-direction: column;
      align-items: stretch;
      padding: 10px 0px;
  }

  [type="order-free-fabric-samples"] #fabric-sample-carousel {
      max-width: 100%;
      margin-bottom: 10px;
  }

	[type="order-free-fabric-samples"] #fabric-sample-list {
	    max-width: 100%;
	    max-height: 100px;
	    overflow-y: auto;
	    padding: 5px;
	}

	[type="order-free-fabric-samples"] #fabric-sample-button-container {
      margin-right: 0;
      text-align: center;
      padding: 5px 0 5px;
  }

  [type="order-free-fabric-samples"] #fabric-sample-list figure {
	    width: 50px;
	    min-width: 50px;
	}
}

@media screen and (max-width: 450px) {
	[type="order-free-fabric-samples"] #fabric-sample-list figure {
	    width: 45px;
	    min-width: 45px;
	}
}

@media screen and (max-width: 340px) { 

	[type="order-free-fabric-samples"] .fabric-samples-address-container input {
		width: 230px;
		display: block;
		margin: auto;
	}

	[type="order-free-fabric-samples"] .fabric-samples-address-container label {
		width: 230px;
	}

}